#!/bin/bash


ALERTS_DEPLOY_DIR=build/$CI_BUILD_ID/alerts
ALERTS_TAR_NAME=alerts
CURRENT_DIR=$PWD

mkdir -p ${ALERTS_DEPLOY_DIR}
cd ${ALERTS_DEPLOY_DIR}

echo "Cleaning up previous archives"
rm -rf ${ALERTS_TAR_NAME}.tar.gz

echo "Downloading artifact from $ARTIFACTORY_URL/grafonet/$CI_PIPELINE_ID/${ALERTS_TAR_NAME}.tar.gz"
curl -O -u $ARTIFACTORY_USER:$ARTIFACTORY_PASS "$ARTIFACTORY_URL/grafonet/$CI_PIPELINE_ID/${ALERTS_TAR_NAME}.tar.gz"
ls -larth
pwd
tar -xzvf ${ALERTS_TAR_NAME}.tar.gz
cd ${ALERTS_TAR_NAME}

ls -larth

for FILE in *;
 do
  echo "$FILE \n";
  PAYLOAD="$(jq . $FILE)"
  curl -X POST \
   -H "Authorization: Bearer $TOKEN" \
   -H "Content-Type: application/json" \
   -d "$PAYLOAD" \
   $GRAFANA_URL/api/v1/provisioning/alert-rules
  echo "\n"
done

cd ${CURRENT_DIR}