#!/bin/bash

ALERTS_DEPLOY_DIR=build/$CI_BUILD_ID/alerts
DASHBOARD_TAR_NAME=dashboards
CURRENT_DIR=$PWD

mkdir -p ${ALERTS_DEPLOY_DIR}
cd ${ALERTS_DEPLOY_DIR}

echo "Cleaning up previous archives"
rm -rf ${DASHBOARD_TAR_NAME}.tar.gz

echo "Downloading artifact from $ARTIFACTORY_URL/grafonet/$CI_PIPELINE_ID/${DASHBOARD_TAR_NAME}.tar.gz"
curl -O -u $ARTIFACTORY_USER:$ARTIFACTORY_PASS "$ARTIFACTORY_URL/grafonet/$CI_PIPELINE_ID/${DASHBOARD_TAR_NAME}.tar.gz"
ls -larth
pwd
tar -xzvf ${DASHBOARD_TAR_NAME}.tar.gz
cd ${DASHBOARD_TAR_NAME}

ls -larth

for FILE in *;
 do
  echo "$FILE \n";
  DASHBOARD="{\"dashboard\": $(jq . $FILE), \"overwrite\": true}"
  curl -X POST \
   -H "Authorization: Bearer $TOKEN" \
   -H "Content-Type: application/json" \
   -d "$DASHBOARD" \
   $GRAFANA_URL/api/v1/provisioning/alert-rules
  echo "\n"
done

cd ${CURRENT_DIR}